<?php

namespace Planaday\Html\NodeTags\Course;

use Planaday\Config\OptionGroupEnum;

enum InjectionSettingsEnum: string implements OptionGroupEnum {
	case SelectedCourseId = 'selectedCourseId';
	case NoCourseSelectedText = 'noCourseSelectedText';
	case CourseNotFoundText = 'courseNotFoundText';
	case ApiErrorText = 'apiErrorText';

	public static function getClassName(): string {
		return InjectionSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
